<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php

function ACESSO_Verifica_Permissao($objeto, $permissao, $valor)
{
    
  session_start();  
  $usuario = $_SESSION['logon'];
  
  $sql = "SELECT * FROM acesso where usuario = '$usuario' and objeto = '$objeto' and permissao = '$permissao' 
          and (valorpermissao = '' or valorpermissao is null or valorpermissao = '$valor') ";
          
  //echo $sql;          
          
  include "includes/pg_begin.php";
  
  $result=pg_query($dbh, $sql);
  
  if (pg_num_rows($result) > 0)
  {
    return true;
  }
  else
  {
    return false;
  } 
  
}


?>